WebLogicMessageEJB (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.weblogic.WebLogicMessageEJB interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.weblogic
Interface WebLogicMessageEJB

All Superinterfaces:
  EJB, J2EEComponent, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, WebLogicEJB

    public interface WebLogicMessageEJB

extends WebLogicEJB

Represents a WebLogic Message Enterprise Java Bean.

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getMessageSelector()`
`java.lang.String` | `getSubscriptionDurability()`
`java.lang.String` | `getTransactionType()`
`boolean` | `hasMessageSelector()`
`boolean` | `hasSubscriptionDurability()`
`boolean` | `hasTransactionType()`
`void` | `setMessageSelector(java.lang.String s)`
`void` | `setSubscriptionDurability(java.lang.String s)`
`void` | `setTransactionType(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.weblogic.WebLogicEJB
`getEJBClass, getHomeClass, getLocalClass, getLocalHomeClass, getRemoteClass, hasEJBClass, hasHomeClass, hasLocalClass, hasLocalHomeClass, hasRemoteClass, setEJBClass, setHomeClass, setLocalClass, setLocalHomeClass, setRemoteClass`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEComponent
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getMessageSelector

    java.lang.String getMessageSelector()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMessageSelector

    void setMessageSelector(java.lang.String s)

### hasMessageSelector

    boolean hasMessageSelector()

### getTransactionType

    java.lang.String getTransactionType()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTransactionType

    void setTransactionType(java.lang.String s)

### hasTransactionType

    boolean hasTransactionType()

### getSubscriptionDurability

    java.lang.String getSubscriptionDurability()
                                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSubscriptionDurability

    void setSubscriptionDurability(java.lang.String s)

### hasSubscriptionDurability

    boolean hasSubscriptionDurability()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD